Package org.optaplanner.core.impl.score.stream.quad

## Class FilteringQuadJoiner<A,​B,​C,​D>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractJoiner
  - - org.optaplanner.core.impl.score.stream.quad.AbstractQuadJoiner<A,​B,​C,​D>
    - - org.optaplanner.core.impl.score.stream.quad.FilteringQuadJoiner<A,​B,​C,​D>

- All Implemented Interfaces:
    `QuadJoiner<A,​B,​C,​D>`

      public final class FilteringQuadJoiner<A,​B,​C,​D>
      extends AbstractQuadJoiner<A,​B,​C,​D>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FilteringQuadJoiner​(QuadPredicate<A,​B,​C,​D> filter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JoinerType[]` | `getJoinerTypes()` |
    `TriFunction<A,​B,​C,​Object[]>` | `getLeftCombinedMapping()` |
    `TriFunction<A,​B,​C,​Object>` | `getLeftMapping​(int index)` |
    `Function<D,​Object[]>` | `getRightCombinedMapping()` |
    `Function<D,​Object>` | `getRightMapping​(int index)` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.quad.AbstractQuadJoiner

      `getFilter, matches, merge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilteringQuadJoiner

          public FilteringQuadJoiner​(QuadPredicate<A,​B,​C,​D> filter)

  - ### Method Detail

    - #### getLeftMapping

          public TriFunction<A,​B,​C,​Object> getLeftMapping​(int index)

      Specified by:
        `getLeftMapping` in class `AbstractQuadJoiner<A,​B,​C,​D>`

    - #### getLeftCombinedMapping

          public TriFunction<A,​B,​C,​Object[]> getLeftCombinedMapping()

      Specified by:
        `getLeftCombinedMapping` in class `AbstractQuadJoiner<A,​B,​C,​D>`

    - #### getRightMapping

          public Function<D,​Object> getRightMapping​(int index)

      Specified by:
        `getRightMapping` in class `AbstractQuadJoiner<A,​B,​C,​D>`

    - #### getRightCombinedMapping

          public Function<D,​Object[]> getRightCombinedMapping()

      Specified by:
        `getRightCombinedMapping` in class `AbstractQuadJoiner<A,​B,​C,​D>`

    - #### getJoinerTypes

          public JoinerType[] getJoinerTypes()

      Specified by:
        `getJoinerTypes` in class `AbstractJoiner`